# Makefile for RC6
#
# Christos Strydis, CE Group, TU Delft, 2007

PROGRAM= rc6
SRCS= rc6.c


CFLAGS= -Wall -O2
LDFLAGS=
CC= cc # standard (native) GCC
XTCC= /opt/data/christos/xtrem_new/bin/arm-linux-gcc
MYCC= $(XTCC) # choose (native or arm cross) compiler for build
LIBS=

OBJS= $(SRCS:.c=.o)


default: $(OBJS)
	$(MYCC) $(CFLAGS) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)

%.o: %.c
	$(MYCC) -c $(CFLAGS) $(LDFLAGS) $< -o $@


clean:
	rm -rf $(PROGRAM)
	rm -rf *.o *.out

.PHONY: default clean

